OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollableServiceConfig

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableServiceConfig

All Implemented Interfaces:
  PollConfig, ScheduleInterval, Timer

public class PollableServiceConfig
extends java.lang.Object
implements PollConfig, ScheduleInterval

Represents a PollableServiceConfig

Author:
  brozow

Field Summary
`private Service` `m_configService`
`private java.util.Map` `m_parameters`
`private Package` `m_pkg`
`private PollerConfig` `m_pollerConfig`
`private PollOutagesConfig` `m_pollOutagesConfig`
`private PollableService` `m_service`
`private Timer` `m_timer`

Constructor Summary
`PollableServiceConfig(PollableService svc, PollerConfig pollerConfig, PollOutagesConfig pollOutagesConfig, Package pkg, Timer timer)`

Method Summary
`private java.util.Map` `createPropertyMap(Service svc)`
`private Service` `findService(Package pkg)`
`long` `getCurrentTime()`
`long` `getInterval()`
`private java.util.Map` `getParameters()`
`PollStatus` `poll()`
`void` `refresh()` Uses the existing package name to try and re-obtain the package from the poller config factory.
`boolean` `scheduledSuspension()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_pollerConfig

    private PollerConfig m_pollerConfig

### m_pollOutagesConfig

    private PollOutagesConfig m_pollOutagesConfig

### m_service

    private PollableService m_service

### m_parameters

    private java.util.Map m_parameters

### m_pkg

    private Package m_pkg

### m_timer

    private Timer m_timer

### m_configService

    private Service m_configService

Constructor Detail

### PollableServiceConfig

    public PollableServiceConfig(PollableService svc,
                                 PollerConfig pollerConfig,
                                 PollOutagesConfig pollOutagesConfig,
                                 Package pkg,
                                 Timer timer)

Method Detail

### findService

    private Service findService(Package pkg)

  Parameters:
    `pkg` -
  Returns:

### poll

    public PollStatus poll()

  Specified by:
    `poll` in interface `PollConfig`

### refresh

    public void refresh()

  Uses the existing package name to try and re-obtain the package from the poller config factory. Should be called when the poller config has been reloaded.

  Specified by:
    `refresh` in interface `PollConfig`

### getParameters

    private java.util.Map getParameters()

  Returns:

### createPropertyMap

    private java.util.Map createPropertyMap(Service svc)

### getCurrentTime

    public long getCurrentTime()

  Specified by:
    `getCurrentTime` in interface `PollConfig`
  Returns:

### getInterval

    public long getInterval()

  Specified by:
    `getInterval` in interface `ScheduleInterval`

### scheduledSuspension

    public boolean scheduledSuspension()

  Specified by:
    `scheduledSuspension` in interface `ScheduleInterval`
  Returns:

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.